org.apache.hadoop.mapreduce.lib.input

## Class CombineSequenceFileInputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
    - - org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat<K,V>
      - - org.apache.hadoop.mapreduce.lib.input.CombineSequenceFileInputFormat<K,V>

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class CombineSequenceFileInputFormat<K,V>
      extends CombineFileInputFormat<K,V>

  Input format that is a `CombineFileInputFormat`-equivalent for `SequenceFileInputFormat`.
  See Also:
    `CombineFileInputFormat`

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat

      `SPLIT_MINSIZE_PERNODE, SPLIT_MINSIZE_PERRACK`

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombineSequenceFileInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<K,V>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` This is not implemented yet.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat

      `createPool, createPool, getFileBlockLocations, getSplits, isSplitable, setMaxSplitSize, setMinSplitSizeNode, setMinSplitSizeRack`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, listStatus, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CombineSequenceFileInputFormat

          public CombineSequenceFileInputFormat()

  - ### Method Detail

    - #### createRecordReader

          public RecordReader<K,V> createRecordReader(InputSplit split,
                                                      TaskAttemptContext context)
                                               throws IOException

      Description copied from class: `CombineFileInputFormat`
      This is not implemented yet.
      Specified by:
        `createRecordReader` in class `CombineFileInputFormat<K,V>`
      Parameters:
        `split` - the split to be read
        `context` - the information about the task
      Returns:
        a new record reader
      Throws:
        `IOException`

Copyright © 2022 Apache Software Foundation. All rights reserved.